[PG] Anadir soporte para rotar y escalar imagenes en el visor de imagenes del hyperlink
Add-on version:

Description

History

#1 - 05/28/2018 11:31 AM - Joaquin del Cerro Murciano

Anadir al visor de imagenes de la herramienta de hyperlink las funcionalidades de:

Al cargar la imagen el tamano de esta se ajusta al de la ventana.

Podemos disponer de las herramientas:

- Rotar izquierda

- Rotar deracha

- Ajustar la escala al tamarno del pixel

- Ajustar la escala al tamano de la ventana
- Zoom mas

- Zoom menos

- Presentaria una barra de estado indicando la escala.
https://redmine.gvsig.net/redmine/attachments/download/2044/imageviewer-capure.png
Nota importante respecto al funcionamiento, antes ajustaba el tamafo de la ventana al tamafo de la imagen. Ahora la ventana se presenta con un
tamanio fijo (que el usuario puede cambiar) y la imagen se escala al tamano inicial de la ventana.
#2 - 05/28/2018 11:31 AM - Joaquin del Cerro Murciano
- File imageviewer-capure.png added
#3 - 05/28/2018 11:34 AM - Joaquin del Cerro Murciano

Revisiones:

- https://redmine.gvsig.net/redmine/projects/gvsig-hyperlink/repository/revisions/369

- https://redmine.gvsig.net/redmine/projects/gvsig-tools/repository/revisions/1702

- http://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.simpleimageviewer/trunk/org.gvsig.simpleimageviewer/

#4 - 05/29/2018 11:49 AM - Oscar Martinez

- Subject changed from Afadir soporte para rotar y escalar imagenes en el visor de imagenes del hyperlink to [PG] Anfadir soporte para rotar y escalar
https://redmine.gvsig.net/redmine/projects/gvsig-hyperlink/repository/revisions/369
https://redmine.gvsig.net/redmine/projects/gvsig-tools/repository/revisions/1702
http://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.simpleimageviewer/trunk/org.gvsig.simpleimageviewer/

imagenes en el visor de imagenes del hyperlink

#5 - 05/29/2018 12:05 PM - Oscar Martinez
- Status changed from In progress to Fixed

#6 - 02/18/2019 04:57 PM - Alvaro Anguix
- Status changed from Fixed to Closed
